package com.artfess.yhxt.specialproject.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.yhxt.specialproject.model.BizMigrantWorkersInformation;
import com.artfess.base.manager.BaseManager;
import com.artfess.yhxt.specialproject.vo.BizMigrantWorkersInformationVo;

/**
 * 民工信息表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wangping
 * @since 2021-08-11
 */
public interface BizMigrantWorkersInformationManager extends BaseManager<BizMigrantWorkersInformation> {

    PageList<BizMigrantWorkersInformation> queryBizMigrantWorkersInformation(QueryFilter<BizMigrantWorkersInformation> queryFilter);

    BizMigrantWorkersInformation getBizMigrantWorkersInformationById(String id);
//
    void saveVo(BizMigrantWorkersInformationVo bizMigrantWorkersInformationVo);

    void updateVo(BizMigrantWorkersInformationVo bizMigrantWorkersInformationVo);

    BizMigrantWorkersInformationVo getVo(String id);
}
